Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class CollectionFactory

public class CollectionFactory

Version: 1.0
todo Document it.

Inner Class Summary
`public static class` | CollectionFactory.CollectionClassLoader

Field Summary
`final static String` | `PATH_DELIMITER` Path delimiter for complete names of data collections.

Method Summary
`static void` | `closeAll()` Copy or move files to the specified directory.
`static void` | `copyDataCollection(DataCollection source, DataCollection dest, FunctionJobControl jc)`
`static DataCollection` | `createCollection(DataCollection parent, Properties properties)` Register the DataCollection in CollectionFactory.
`static DataCollection` | `createRepository(String path)`
`static DataCollection` | `createTempMemoryCollection()`
`static DataCollection` | `createTransformedCollection(String path, String name, String transformerClass, String startTag, String idTag, String endTag)`
`static DataCollection` | `createTransformedCollection(String path, String name, String fileFilter, String transformerClass, String startTag, String idTag, String endTag)`
`static DataCollection` | `createTransformedCollection(String completeName, String name, String imgName, String fileFilter, String transformerClass, String startTag, String idTag, String endTag, String subDir)`
`static DataCollection` | `createTransformedCollection(String completeName, String name, String imgName, String childrenImage, String fileFilter, String transformerClass, String startTag, String idTag, String endTag, String subDir)`
`static void` | `destroyCollection(DataCollection dataCollection)` Unregister the DataCollection in CollectionFactory.
`static CollectionClassLoader` | `getCollectionClassLoader()`
`static DataCollection` | `getDataCollection(String completeName)` Returns the data collection with the speicified name.
`static DataElement` | `getDataElement(String completeName)` Returns the DataElement with the specified name.
`static String` | `getLastToken(String completeName)` Returns last token of complete name

Field Detail

### PATH_DELIMITER

    public final static String PATH_DELIMITER

  Path delimiter for complete names of data collections.

Method Detail

### closeAll

    public static void closeAll()
                          throws java.lang.Exception

  Copy or move files to the specified directory.
  Parameters:
    dir - directory where files should be moved or copied
    files - files to be moved or copied into repository
    copy - indicates whther files should be copied.

### copyDataCollection

    public static void copyDataCollection(DataCollection source, DataCollection dest, FunctionJobControl jc)

### createCollection

    public static DataCollection createCollection(DataCollection parent, Properties properties)
                                            throws java.lang.Exception

  Register the DataCollection in CollectionFactory.
  pending what is a key for data collection map. It is seems that (parent, properties) key is superfluous. Other possible variants are: (parent, className), (completeName).

### createRepository

    public static DataCollection createRepository(String path)
                                            throws java.lang.Exception

### createTempMemoryCollection

    public static DataCollection createTempMemoryCollection()

### createTransformedCollection

    public static DataCollection createTransformedCollection(String path, String name, String transformerClass, String startTag, String idTag, String endTag)
                                                       throws java.lang.Exception

### createTransformedCollection

    public static DataCollection createTransformedCollection(String path, String name, String fileFilter, String transformerClass, String startTag, String idTag, String endTag)
                                                       throws java.lang.Exception

### createTransformedCollection

    public static DataCollection createTransformedCollection(String completeName, String name, String imgName, String fileFilter, String transformerClass, String startTag, String idTag, String endTag, String subDir)
                                                       throws java.lang.Exception

### createTransformedCollection

    public static DataCollection createTransformedCollection(String completeName, String name, String imgName, String childrenImage, String fileFilter, String transformerClass, String startTag, String idTag, String endTag, String subDir)
                                                       throws java.lang.Exception

### destroyCollection

    public static void destroyCollection(DataCollection dataCollection)
                                   throws java.lang.Exception

  Unregister the DataCollection in CollectionFactory.

### getCollectionClassLoader

    public static CollectionClassLoader getCollectionClassLoader()

### getDataCollection

    public static DataCollection getDataCollection(String completeName)

  Returns the data collection with the speicified name.
  Parameters:
    completeName complete - name
  Returns: named DataCollection or null otherwise

### getDataElement

    public static DataElement getDataElement(String completeName)

  Returns the DataElement with the specified name.
  Parameters:
    completeName complete - DataElement name in CollectionFactory tree
    example: localhost/matrices/matrixlib.TransformedDataCollection/V$MYOD_01
  Returns: the DataElement with the specified name.
  See Also:
    DataElement, getDataCollection(java.lang.String), DataCollection.getCompleteName()

### getLastToken

    public static String getLastToken(String completeName)

  Returns last token of complete name
  Parameters:
    completeName complete - name
  Returns: last token of complete name

Association Links

to Class org.apache.log4j.Category

to Class java.lang.String

  Path delimiter for complete names of data collections.

to Class java.util.HashMap

  all DataCollections
  key is DataCollectionKey
  value is DataCollectionValue

to Class java.util.HashMap

  root DataCollections
  key is name of DataCollection (String)
  value is DataCollection

to Class ru.biosoft.access.CollectionFactory.CollectionClassLoader

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM